%global eclipse_base %{_libdir}/eclipse
%global pkg_date     20131122
%global pkg_svn_rev  15020

Name:           eclipse-findbugs
Version:        2.0.3
Release:        %mkrel 1
Summary:        Eclipse plugin for FindBugs

Group:          Development/Java
License:        LGPLv2+
URL:            http://findbugs.sourceforge.net/
Source0:        http://downloads.sourceforge.net/findbugs/eclipsePlugin-%{version}.%{pkg_date}-%{pkg_svn_rev}-source.zip

# This patch is Fedora-specific, so it has not been submitted upstream.  The
# patch makes the build infrastructure use installed JARs for the build, rather
# than downloading JARs.
Patch0:         eclipsePlugin-build.patch

BuildRequires:  ant, ant-findbugs, eclipse-pde, findbugs = %{version}
BuildRequires:  java-devel >= 1:1.6.0, jpackage-utils
Requires:       ant, ant-findbugs, eclipse-jdt, findbugs = %{version}
Requires:       java >= 1:1.6.0, jpackage-utils

BuildArch:      noarch

%global plugins_dir %{_datadir}/eclipse/dropins/findbugs/plugins
%global plugin_dir  %{plugins_dir}/edu.umd.cs.findbugs.plugin.eclipse_%{version}.%{pkg_date}-%{pkg_svn_rev}

%description
An Eclipse plugin for the FindBugs Java bug detector.

%prep
%setup -q -n eclipsePlugin-%{version}.%{pkg_date}-%{pkg_svn_rev}
%patch0 -p1

# Set up the eclipse path
sed -i -e 's|@SWT_JAR@|%{eclipse_base}/swt.jar|' build.xml

%build
ant -DeclipsePlugin.dir=%{eclipse_base}/plugins \
    -DeclipseJdtPlugin.dir=%{eclipse_base}/dropins/jdt/plugins \
    -DeclipseSdkPlugin.dir=%{eclipse_base}/dropins/sdk/plugins \
    -Djavadir=%{_javadir} \
    -Dplugin.date=%{pkg_date} \
    -Drelease.base=%{version} \
    -Dfindbugs.svn.revision=%{pkg_svn_rev} \
    dist

%install
mkdir -p $RPM_BUILD_ROOT%{plugins_dir}
unzip -q -d $RPM_BUILD_ROOT%{plugins_dir} \
  zips/edu.umd.cs.findbugs.plugin.eclipse_%{version}.%{pkg_date}-%{pkg_svn_rev}.zip

# Symlink to the external jars we need
%define javalink ../../../../../../java
mkdir $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/findbugs.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/jsr-305.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/findbugs-annotations.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/findbugs-bcel.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/dom4j.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/jaxen.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/jFormatString.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/apache-commons-lang.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/objectweb-asm/asm.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/objectweb-asm/asm-commons.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/objectweb-asm/asm-tree.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/objectweb-asm/asm-analysis.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/objectweb-asm/asm-util.jar $RPM_BUILD_ROOT%{plugin_dir}/lib
ln -s %{javalink}/objectweb-asm/asm-xml.jar $RPM_BUILD_ROOT%{plugin_dir}/lib

# Remove unnecessary files (used at build-time only)
rm -f $RPM_BUILD_ROOT%{plugin_dir}/.options
rm -fr $RPM_BUILD_ROOT%{plugin_dir}/doc

%files
%doc RELEASENOTES
%{_datadir}/eclipse/dropins/findbugs



%changelog
* Tue Jan 07 2014 dmorgan <dmorgan> 2.0.3-1.mga4
+ Revision: 565478
- New version
- New version

* Fri Oct 18 2013 umeabot <umeabot> 1.3.9-4.mga4
+ Revision: 504039
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3.9-3.mga3
+ Revision: 349419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.3.9-2.mga3
+ Revision: 290715
- Build with java 7

* Sun Sep 04 2011 dmorgan <dmorgan> 1.3.9-1.mga2
+ Revision: 138522
- Fix buildrequires
- Adapt to mageia guidelines

  + gil <gil>
    - imported package eclipse-findbugs


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 23 2009 Jerry James <loganjerry@gmail.com> - 1.3.9-2
- Remove explicit versions from the manifest to match the symlinks (bz 530512)

* Tue Aug 25 2009 Jerry James <loganjerry@gmail.com> - 1.3.9-1
- Update to 1.3.9

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 17 2009 Jerry James <loganjerry@gmail.com> - 1.3.8-1
- Update to 1.3.8

* Wed Mar 11 2009 Jerry James <loganjerry@gmail.com> - 1.3.7-4
- Require OpenJDK to compile due to use of Sun-specific classes.
- Require eclipse-jdt

* Fri Mar  6 2009 Jerry James <loganjerry@gmail.com> - 1.3.7-3
- Fix spec file problems discovered in review

* Tue Feb 10 2009 Jerry James <loganjerry@gmail.com> - 1.3.7-2
- Adapt to latest Eclipse plugin guidelines

* Fri Jan  2 2009 Jerry James <loganjerry@gmail.com> - 1.3.7-1
- Update to 1.3.7

* Wed Dec 10 2008 Jerry James <loganjerry@gmail.com> - 1.3.6-1
- Update to 1.3.6

* Thu Sep 25 2008 Jerry James <loganjerry@gmail.com> - 1.3.5-1
- Initial RPM
